version: "3"
services:
  web:
    build: .
    volumes:
      - ./:/smarthome
      - /smarthome/node_modules
    ports:
      - "9095:9095"
    restart: always
    links:
      # - redis
      - mongo
    tty: true
    environment:
      DEBUG_COLORS: "true"
      TERM: xterm-256color
      COLORTERM: truecolor
    networks:
      - smarthome
  mongo:
    container_name: mongo
    image: mongo:4.2.5
    restart: always
    env_file: .env-mongo
    ports: ["27017:27017"]
    networks:
      - smarthome
  mongo-express:
    container_name: mongo-express
    image: mongo-express
    restart: always
    ports:
      - "8081:8081"
    env_file: .env-mongo
    depends_on:
      - mongo
    networks:
      - smarthome
  # redis:
  #   container_name: redis
  #   image: redis:5.0.8
  #   restart: always
  #   command: ["redis-server", "--bind", "redis", "--port", "6379"]
  #   ports: ["6379:6379"]

networks:
  smarthome:
